Results 1 to 3 of 3

Thread: Default installation with Plasma 5 should have kwalletmanager5 installed instead of kwalletmanager

  1. #1

    Default Default installation with Plasma 5 should have kwalletmanager5 installed instead of kwalletmanager

    When I installed openSUSE for the first time recently, I decided to give kwallet another try. On my old Kubuntu setup, I had set a blank password because I found Kwallet annoying, but I wouldn't mind typing my GPG password once at startup - I just don't want to be nagged.

    Anyway, since I hadn't imported my GPG keys to begin with, I couldn't set up GPG authentication. I had to go back and do that later.

    Cue many frustrating attempts to create a new GPG based wallet (seemed successful) only to be asked for the password for the old blowfish wallet, which still worked, even though I thought I had deleted the wallet.

    Turns out, I had deleted & recreated the KDE4 version of the default wallet "kdewallet", and not the KDE5 version, because I had kwalletmanager installed instead of kwalletmanager5.

    So the question is, why would you ship kwalletmanager instead of kwalletmanager5 with Plasma 5, when most of the Plasma 5 apps use the KDE5 version, which you can't view/edit in kwalletmanager? There was loads more data in the KDE5 wallet than the KDE4 wallet (I thought the KDE4 one was missing data!).

    I checked the zypper log, and verified that kwalletmanager was installed during initial installation. If I hadn't thought to check for other kwallet related packages using zypper when I was having trouble, I wouldn't have known that kwalletmanager5 even existed, and would have drawn the conclusion that kwallet was just hopelessly broken.

  2. #2

    Default Re: Default installation with Plasma 5 should have kwalletmanager5 installed instead of kwalletmanag

    Quote Originally Posted by Feathers_McGraw View Post
    So the question is, why would you ship kwalletmanager instead of kwalletmanager5 with Plasma 5, when most of the Plasma 5 apps use the KDE5 version, which you can't view/edit in kwalletmanager?
    Because many applications are still KDE4 based and use KDE4's kwallet. In particular, KDEPIM4 was installed by default until recently.

    Unfortunately you cannot install both at the same time.

    But yes, the installation patterns should probably be adjusted. Feel free to file a bug report.

  3. #3

    Default Re: Default installation with Plasma 5 should have kwalletmanager5 installed instead of kwalletmanag


Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •